Advisory Details

July 14th, 2022

Autodesk AutoCAD PRT File Parsing Out-Of-Bounds Read Remote Code Execution Vulnerability

ZDI-22-1010
ZDI-CAN-15931

CVE ID CVE-2022-33881
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Autodesk
AFFECTED PRODUCTS AutoCAD
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Autodesk AutoCAD. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the parsing of PRT files. Crafted data in a PRT file can trigger a read past the end of an allocated buffer. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS Autodesk has issued an update to correct this vulnerability. More details can be found at:
https://www.autodesk.com/trust/security-advisories/adsk-sa-2022-0014
DISCLOSURE TIMELINE
  • 2021-12-15 - Vulnerability reported to vendor
  • 2022-07-14 - Coordinated public release of advisory
CREDIT Tran Van Khang - khangkito (VinCSS)
BACK TO ADVISORIES